## r-bioc-genelendatabase 1.24.0

=== DESCRIPTION ===
Package: geneLenDataBase
Version: 1.24.0
Date: 2019/04/26
Title: Lengths of mRNA transcripts for a number of genomes
Author: Matthew Young
Maintainer: Matthew Young <my4@sanger.ac.uk>, Nadia Davidson <nadia.davidson@mcri.edu.au>
Depends: R (>= 2.11.0)
Imports: utils, rtracklayer, GenomicFeatures (>= 1.3.15)
LazyLoad: yes
Description: Length of mRNA transcripts for a number of genomes and gene ID formats, largely based on UCSC table browser
biocViews: ExperimentData, Genome
License: LGPL (>= 2)
NeedsCompilation: no
Packaged: 2020-05-07 15:39:14 UTC; biocbuild
git_url: https://git.bioconductor.org/packages/geneLenDataBase
git_branch: RELEASE_3_11
git_last_commit: 8795d00
git_last_commit_date: 2020-04-27
Date/Publication: 2020-05-07

=== debian/changelog ===
r-bioc-genelendatabase (1.24.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:08:01 +0000

r-bioc-genelendatabase (1.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 May 2020 09:33:15 +0200

r-bioc-genelendatabase (1.22.0-2) unstable; urgency=medium

  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 11:47:45 +0200

r-bioc-genelendatabase (1.22.0-1) unstable; urgency=medium

  * Initial release (closes: #954989)

 -- Andreas Tille <tille@debian.org>  Thu, 26 Mar 2020 12:06:06 +0100

=== debian/control ===
Source: r-bioc-genelendatabase
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-rtracklayer,
               r-bioc-genomicfeatures
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase.git
Homepage: https://bioconductor.org/packages/data/experiment/geneLenDataBase/
Rules-Requires-Root: no

Package: r-bioc-genelendatabase
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R lengths of mRNA transcripts for a number of genomes
 This GNU R package calculates length of mRNA transcripts for a
 number of genomes and gene ID formats, largely based on UCSC
 table browser.

## r-bioc-genelendatabase 1.26.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: geneLenDataBase
-Version: 1.24.0
+Version: 1.26.0
 Date: 2019/04/26
 Title: Lengths of mRNA transcripts for a number of genomes
 Author: Matthew Young
@@ -11,9 +11,9 @@
 biocViews: ExperimentData, Genome
 License: LGPL (>= 2)
 NeedsCompilation: no
-Packaged: 2020-05-07 15:39:14 UTC; biocbuild
+Packaged: 2020-10-29 14:51:57 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/geneLenDataBase
-git_branch: RELEASE_3_11
-git_last_commit: 8795d00
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-05-07
+git_branch: RELEASE_3_12
+git_last_commit: 2724715
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-29

=== debian/changelog ===
r-bioc-genelendatabase (1.26.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 22:22:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-genelendatabase
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-rtracklayer,

## r-bioc-genelendatabase 1.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: geneLenDataBase
-Version: 1.26.0
+Version: 1.30.0
 Date: 2019/04/26
 Title: Lengths of mRNA transcripts for a number of genomes
 Author: Matthew Young
@@ -11,9 +11,9 @@
 biocViews: ExperimentData, Genome
 License: LGPL (>= 2)
 NeedsCompilation: no
-Packaged: 2020-10-29 14:51:57 UTC; biocbuild
+Packaged: 2021-10-30 15:21:01 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/geneLenDataBase
-git_branch: RELEASE_3_12
-git_last_commit: 2724715
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-29
+git_branch: RELEASE_3_14
+git_last_commit: b3cc755
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-30

=== debian/changelog ===
r-bioc-genelendatabase (1.30.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 08:20:09 +0100

r-bioc-genelendatabase (1.28.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Sep 2021 18:39:47 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-bioc-rtracklayer,
                r-bioc-genomicfeatures
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase.git
 Homepage: https://bioconductor.org/packages/data/experiment/geneLenDataBase/

## r-bioc-genelendatabase 1.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: geneLenDataBase
-Version: 1.30.0
+Version: 1.32.0
 Date: 2019/04/26
 Title: Lengths of mRNA transcripts for a number of genomes
 Author: Matthew Young
@@ -11,9 +11,9 @@
 biocViews: ExperimentData, Genome
 License: LGPL (>= 2)
 NeedsCompilation: no
-Packaged: 2021-10-30 15:21:01 UTC; biocbuild
+Packaged: 2022-04-28 14:23:42 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/geneLenDataBase
-git_branch: RELEASE_3_14
-git_last_commit: b3cc755
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-30
+git_branch: RELEASE_3_15
+git_last_commit: eaa193a
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-28

=== debian/changelog ===
r-bioc-genelendatabase (1.32.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 21:11:47 +0200

## r-bioc-genelendatabase 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: geneLenDataBase
-Version: 1.32.0
+Version: 1.34.0
 Date: 2019/04/26
 Title: Lengths of mRNA transcripts for a number of genomes
 Author: Matthew Young
@@ -11,9 +11,9 @@
 biocViews: ExperimentData, Genome
 License: LGPL (>= 2)
 NeedsCompilation: no
-Packaged: 2022-04-28 14:23:42 UTC; biocbuild
+Packaged: 2022-11-03 15:08:26 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/geneLenDataBase
-git_branch: RELEASE_3_15
-git_last_commit: eaa193a
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-28
+git_branch: RELEASE_3_16
+git_last_commit: e26cf8e
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-03

=== debian/changelog ===
r-bioc-genelendatabase (1.34.0-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 22:04:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-bioc-rtracklayer,
                r-bioc-genomicfeatures
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase.git
 Homepage: https://bioconductor.org/packages/data/experiment/geneLenDataBase/

## r-bioc-genelendatabase 1.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: geneLenDataBase
-Version: 1.34.0
+Version: 1.36.0
 Date: 2019/04/26
 Title: Lengths of mRNA transcripts for a number of genomes
 Author: Matthew Young
@@ -11,9 +11,9 @@
 biocViews: ExperimentData, Genome
 License: LGPL (>= 2)
 NeedsCompilation: no
-Packaged: 2022-11-03 15:08:26 UTC; biocbuild
+Packaged: 2023-04-27 15:07:08 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/geneLenDataBase
-git_branch: RELEASE_3_16
-git_last_commit: e26cf8e
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-03
+git_branch: RELEASE_3_17
+git_last_commit: e8f37dd
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-27

=== debian/changelog ===
r-bioc-genelendatabase (1.36.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 15:22:12 +0200

## r-bioc-genelendatabase 1.38.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: geneLenDataBase
-Version: 1.36.0
+Version: 1.38.0
 Date: 2019/04/26
 Title: Lengths of mRNA transcripts for a number of genomes
 Author: Matthew Young
@@ -11,9 +11,9 @@
 biocViews: ExperimentData, Genome
 License: LGPL (>= 2)
 NeedsCompilation: no
-Packaged: 2023-04-27 15:07:08 UTC; biocbuild
+Packaged: 2023-10-26 15:12:30 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/geneLenDataBase
-git_branch: RELEASE_3_17
-git_last_commit: e8f37dd
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-27
+git_branch: RELEASE_3_18
+git_last_commit: cbe2fbd
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-26

=== debian/changelog ===
r-bioc-genelendatabase (1.38.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 10:50:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-bioc-rtracklayer,
                r-bioc-genomicfeatures
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase.git
 Homepage: https://bioconductor.org/packages/data/experiment/geneLenDataBase/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/data/experiment? https://www.bioconductor.org/packages/release/data/experiment/html/geneLenDataBase.html .*/geneLenDataBase@ANY_VERSION@@ARCHIVE_EXT@

## r-bioc-genelendatabase 1.40.1

=== DESCRIPTION ===
Package: geneLenDataBase
Title: Lengths of mRNA transcripts for a number of genomes
Version: 1.40.1
Date: 2019-04-26
Author: Matthew Young
Maintainer: Matthew Young <my4@sanger.ac.uk>, Nadia Davidson <nadia.davidson@mcri.edu.au>
Description: Length of mRNA transcripts for a number of genomes and gene ID 
    formats, largely based on UCSC table browser.
Depends: R (>= 2.11.0)
Imports: utils, rtracklayer, GenomicFeatures (>= 1.56.0), txdbmaker
License: LGPL (>= 2)
biocViews: ExperimentData, Genome
git_url: https://git.bioconductor.org/packages/geneLenDataBase
git_branch: RELEASE_3_19
git_last_commit: f161794
git_last_commit_date: 2024-05-17
Repository: Bioconductor 3.19
Date/Publication: 2024-06-04
NeedsCompilation: no
Packaged: 2024-06-04 14:27:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-genelendatabase (1.40.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:29:48 +0200

r-bioc-genelendatabase (1.40.1-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 15:02:15 +0200

r-bioc-genelendatabase (1.40.1-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/control: add new build-dep on r-bioc-txdbmaker
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 16:53:26 +0200

=== debian/control ===
Source: r-bioc-genelendatabase
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase.git
Homepage: https://bioconductor.org/packages/data/experiment/geneLenDataBase/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-rtracklayer (>= 1.64.0),
               r-bioc-genomicfeatures (>= 1.56.0),
               r-bioc-txdbmaker
Testsuite: autopkgtest-pkg-r

Package: r-bioc-genelendatabase
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-rtracklayer (>= 1.64.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R lengths of mRNA transcripts for a number of genomes
 This GNU R package calculates length of mRNA transcripts for a
 number of genomes and gene ID formats, largely based on UCSC
 table browser.

## r-bioc-genelendatabase 1.42.0

=== DESCRIPTION ===
Package: geneLenDataBase
Title: Lengths of mRNA transcripts for a number of genomes
Version: 1.42.0
Date: 2024-06-08
Authors@R: 
    c(
        person(
            given = "Matthew", family = "Young", role = c("aut"), 
            email = "my4@sanger.ac.uk"
        ),
        person(
            given = "Nadia", family = "Davidson", role = c("aut"), 
            email = "nadia.davidson@mcri.edu.au"
        ),
        person(
            given = "Federico", family = "Marini", role = c("ctb", "cre"), 
            email = "marinif@uni-mainz.de", comment = c(ORCID = "0000-0003-3252-7758")
        )
    )
Description: Length of mRNA transcripts for a number of genomes and gene ID 
    formats, largely based on UCSC table browser. Data objects are provided as
    individual pieces of information to be retrieved and loaded. A variety of 
    different gene identifiers and genomes is supported to ensure wide 
    applicability.
Depends: R (>= 2.11.0)
Imports: utils, rtracklayer, GenomicFeatures, txdbmaker
URL: https://github.com/federicomarini/geneLenDataBase
BugReports: https://github.com/federicomarini/geneLenDataBase/issues
License: LGPL (>= 2)
biocViews: ExperimentData, Genome
RoxygenNote: 7.3.1
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/geneLenDataBase
git_branch: RELEASE_3_20
git_last_commit: 8eb2611
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-31
NeedsCompilation: no
Packaged: 2024-10-31 16:39:24 UTC; biocbuild
Author: Matthew Young [aut],
  Nadia Davidson [aut],
  Federico Marini [ctb, cre] (<https://orcid.org/0000-0003-3252-7758>)
Maintainer: Federico Marini <marinif@uni-mainz.de>

=== debian/changelog ===
r-bioc-genelendatabase (1.42.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 08:41:39 +0100

r-bioc-genelendatabase (1.42.0-2) UNRELEASED; urgency=medium

  * Team upload.
  * d/control: Fix homepage URL. Closes: #1083246

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 15:31:13 +0100

r-bioc-genelendatabase (1.42.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * d/upstream/metadata: link to their code repo

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 22:37:26 +0100

=== debian/control ===
Source: r-bioc-genelendatabase
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genelendatabase.git
Homepage: https://bioconductor.org/packages/geneLenDataBase/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-rtracklayer,
               r-bioc-genomicfeatures,
               r-bioc-txdbmaker
Testsuite: autopkgtest-pkg-r

Package: r-bioc-genelendatabase
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R lengths of mRNA transcripts for a number of genomes
 This GNU R package calculates length of mRNA transcripts for a
 number of genomes and gene ID formats, largely based on UCSC
 table browser.
